List payments

GET

GET https://external-api.lia.com.br/external_api/v1/payments

Query params

NameDescriptionRequiredType
bill_idFilter by bill_idfalseString
statusFilter by payment statusfalseString
paid_at_startFilter by payments paid_at greater than or equal to (YYYY-MM-DD)falseString
paid_at_endFilter by payments paid_at lower than or equal to (YYYY-MM-DD)falseString
payment_methodFilter by payment_methodfalseString
pageNumber of the page you wantfalseInteger
per_pageTotal items per page, max 1000 itens per pagefalseInteger

Example request

curl --location 'https://external-api-sandbox.lia.com.br/external_api/v1/payments?payment_method=credit_card&status=paid&
paid_at_start=2023-08-21&paid_at_end=2023-12-21&page=1&per_page=2
--header 'Authorization: Bearer sandbox_BtnsSPrTQcK2M1jyEJeckqtsNP3XtR7BXN6UTDfs'

Example response

{
    "results": [
        {
            "amount_cents": 8379,
            "barcode": null,
            "barcode_image_url": null,
            "bill_id": "82f78674-4415-40ce-810d-92b12662738j",
            "created_at": "2023-09-19T11:46:01.080-03:00",
            "expires_at": "2023-09-21T23:59:59.999-03:00",
            "id": "0b41cfa6-c748-4892-b9a2-e59445b8hnfg9",
            "installments": 1,
            "paid_amount_cents": 8379,
            "paid_at": "2023-09-19T11:46:01.088-03:00",
            "payment_method": "credit_card",
            "refunded_amount_cents": 0,
            "refunded_at": null,
            "refused_reason": null,
            "refused_reason_description": null,
            "status": "paid",
            "url": "https://pague-sandbox.lia.com.br/parcela/pagamento?bill_id=82f78674-4415-40ce-810d-92b12662738j"
        },
        {
            "amount_cents": 207000,
            "barcode": null,
            "barcode_image_url": null,
            "bill_id": "0ae2b7c6-9223-496d-9f55-d8450c05c09j0",
            "created_at": "2023-11-01T12:54:22.240-03:00",
            "expires_at": "2023-11-03T23:59:59.999-03:00",
            "id": "c8f45470-4b92-495e-a4de-febe8589490d",
            "installments": 1,
            "paid_amount_cents": 207000,
            "paid_at": "2023-11-01T12:54:22.273-03:00",
            "payment_method": "credit_card",
            "refunded_amount_cents": 0,
            "refunded_at": null,
            "refused_reason": null,
            "refused_reason_description": null,
            "status": "paid",
            "url": "https://pague-sandbox.lia.com.br/parcela/pagamento?bill_id=0ae2b7c6-9223-496d-9f55-d8450c05c09j0"
        }
    ],
    "total_items": 2,
    "total_pages": 1
}